#### D.5.2.58 FultonA

Procedure from library `chern.lib` (see chern_lib).

Usage:
  FultonA(I); I an ideal

Return:
  list of integers

Purpose:
  computes the Fulton classes of the subscheme defined by I

Note:

Example:

    LIB "chern.lib";
    // Consider a 3-dimensional projective space
    ring r = 0, (x, y, z, w), dp;
    // Consider 3 non-coplanar lines trough one point and compute the Fulton class
    ideal I=xy, xz, yz;
    I;
    FultonA(I);
    // Now consider 3 coplanar lines trough one point and its Fulton class
    ideal J=w, x*y*(x+y);
    J;
    FultonA(J);

User manual for Singular version 4.4.1, 2025, generated by texi2html.